
Infrastructure - Task #7958

CN sometimes sends invalid submitSynchronizationFailed document to MN

2017-01-03 20:28 - Roger Dahl

Status: In Progress Start date: 2017-01-03

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 30%

Category: d1_synchronization Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

When the CN attempted to send the following message:

/daemon/cn-process-daemon.log.23:[ WARN] 2016-12-28 22:00:02,610 (SyncFailedTask:submitSynchronizationFailed:116)

Task-urn:node:mnTestTDAR-doi:10.6067:XCV843018_format=d1rem1482959647611 <?xml version="1.0" encoding="UTF-8"?>

./daemon/cn-process-daemon.log.23:

./daemon/cn-process-daemon.log.23-    Synchronization task of [PID::] doi:10.6067:XCV843018_format=d1rem1482959647611

[::PID] failed. Cause: InvalidRequest: Illegal changes attempted to the fields: dateUploaded

./daemon/cn-process-daemon.log.23-

What was received was:

2016-12-28 15:00:02,639 DEBUG o.t.d.s.SynchronizationFailedResponse [t:http-nio-127.0.0.1-8080-exec-12 p: u:] >>>

/dataone/v2/error?null

2016-12-28 15:00:02,642 DEBUG o.t.d.s.SynchronizationFailedResponse [t:http-nio-127.0.0.1-8080-exec-12 p: u:] null: null

Confirmed in tDAR and GMN logs.

History

#1 - 2017-01-03 21:35 - Rob Nahf

- Assignee changed from Jing Tao to Rob Nahf

I suspect serialization issues, and will investigate.

#2 - 2017-01-04 17:23 - Rob Nahf

- Status changed from New to In Progress

- % Done changed from 0 to 30

serialization doesn't seem to be an issue.  

There are 5 other TDAR pids that failed around that time.  were all of those problematic, too?

On the CN side it could be a problem assembling the multipart message (file write into /tmp), or something with the libclient method?
